import static org.junit.Assert.*;

import java.io.ByteArrayOutputStream;
import java.io.OutputStream;
import java.io.PrintStream;
import java.io.UnsupportedEncodingException;
import java.util.Scanner;

import org.junit.Test;

public class ConsoleTest {
	
	private static final double INIT_BALANCE = 100;
	private static final double INIT_RATE = 0.1;

	@Test
	public void testUpdateNewBalance() throws UnsupportedEncodingException {
		Model model = new Account(INIT_BALANCE, INIT_RATE);
		
		Scanner input = new Scanner("");
		ByteArrayOutputStream os = new ByteArrayOutputStream();
		PrintStream output = new PrintStream(os);
		
		View console = new Console(model, input, output);
		console.updateNewBalance(INIT_BALANCE);
		assertEquals(INIT_BALANCE + "\n", os.toString("UTF8"));
	}
	

	@Test
	public void testSetBalance() throws UnsupportedEncodingException {
Model model = new Account(0.0, 0.0);
		
		Scanner input = new Scanner(INIT_BALANCE + "");
		ByteArrayOutputStream os = new ByteArrayOutputStream();
		PrintStream output = new PrintStream(os);
		View console = new Console(model, input, output);
		assertEquals(INIT_BALANCE, console.getBalance(), 0.0001);
		assertEquals("Balance: ", os.toString("UTF8"));
	}
	
	@Test
	public void testSetRate() throws UnsupportedEncodingException {
		Model model = new Account(INIT_BALANCE, 0.0);
		
		Scanner input = new Scanner(INIT_RATE + "");
		ByteArrayOutputStream os = new ByteArrayOutputStream();
		PrintStream output = new PrintStream(os);
		View console = new Console(model, input, output);
		assertEquals(INIT_RATE, console.getRate(), 0.0001);
		assertEquals("Rate: ", os.toString("UTF8"));
	}

}
