import static org.junit.Assert.*;

import java.io.ByteArrayOutputStream;
import java.io.OutputStream;
import java.io.PrintStream;
import java.io.UnsupportedEncodingException;
import java.util.Scanner;

import org.junit.Test;

import mock.MessageDialog;
import mock.TestableMessageDialog;

public class GUITest {
	
	private static final double INIT_BALANCE = 100;
	private static final double INIT_RATE = 0.1;

	@Test
	public void testUpdateNewBalance() throws UnsupportedEncodingException {
		Model model = new Account(INIT_BALANCE, INIT_RATE);
		MessageDialog output = new TestableMessageDialog();
		View gui = new GUI(model, output);
		gui.updateNewBalance(INIT_BALANCE);
		assertEquals(output.toString(), "The new balance is " + INIT_BALANCE);
	}
}
